package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.PartnerByNameModel
import com.seatel.mobilehall.ui.yes_member.model.PartnerSearchCategoryModel

interface PartnerCategoryByNameInteractor {

    interface View {
        fun responsePartnerCategoryByNameSucceed(topPartnerList: ArrayList<PartnerByNameModel>)
        fun responsePartnerCategoryByNameFail(error: VolleyError)


    }

    interface Presenter {
        fun onPartnerCategoryByName(name: String)


    }
}